
From: Anton Blanchard <anton@samba.org>

Move the ppc64 specific cond_syscall(ppc_rtas) into sys_ni.c so that it
takes effect.  With this fixed we can remove the #define hack.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/misc.S     |    4 ----
 25-akpm/arch/ppc64/kernel/syscalls.c |    3 ---
 25-akpm/kernel/sys_ni.c              |    1 +
 3 files changed, 1 insertion(+), 7 deletions(-)

diff -puN arch/ppc64/kernel/misc.S~ppc64-fix-linkage-error-on-g5 arch/ppc64/kernel/misc.S
--- 25/arch/ppc64/kernel/misc.S~ppc64-fix-linkage-error-on-g5	2005-03-21 21:51:04.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/misc.S	2005-03-21 21:51:04.000000000 -0800
@@ -680,10 +680,6 @@ _GLOBAL(kernel_thread)
 	ld	r30,-16(r1)
 	blr
 
-#ifdef CONFIG_PPC_RTAS /* hack hack hack */
-#define ppc_rtas	sys_ni_syscall
-#endif
-
 /* Why isn't this a) automatic, b) written in 'C'? */	
 	.balign 8
 _GLOBAL(sys_call_table32)
diff -puN arch/ppc64/kernel/syscalls.c~ppc64-fix-linkage-error-on-g5 arch/ppc64/kernel/syscalls.c
--- 25/arch/ppc64/kernel/syscalls.c~ppc64-fix-linkage-error-on-g5	2005-03-21 21:51:04.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/syscalls.c	2005-03-21 21:51:04.000000000 -0800
@@ -256,6 +256,3 @@ void do_show_syscall_exit(unsigned long 
 {
 	printk(" -> %lx, current=%p cpu=%d\n", r3, current, smp_processor_id());
 }
-
-/* Only exists on P-series. */
-cond_syscall(ppc_rtas);
diff -puN kernel/sys_ni.c~ppc64-fix-linkage-error-on-g5 kernel/sys_ni.c
--- 25/kernel/sys_ni.c~ppc64-fix-linkage-error-on-g5	2005-03-21 21:51:04.000000000 -0800
+++ 25-akpm/kernel/sys_ni.c	2005-03-21 21:51:04.000000000 -0800
@@ -83,3 +83,4 @@ cond_syscall(sys_pciconfig_write);
 cond_syscall(sys_pciconfig_iobase);
 cond_syscall(sys32_ipc);
 cond_syscall(sys32_sysctl);
+cond_syscall(ppc_rtas);
_
